<?xml version="1.0"?>
<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<schema xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:noNamespaceSchemaLocation="urn:magento:framework:Setup/Declaration/Schema/etc/schema.xsd">
    <table name="elogic_book" resource="default" engine="innodb" comment="Books Table">
        <column xsi:type="smallint" name="book_id" padding="6" unsigned="false" nullable="false" identity="true"
                comment="Entity ID"/>
        <column xsi:type="varchar" name="title" nullable="false" length="255" comment="Book Title"/>
        <column xsi:type="varchar" name="author" nullable="true" length="255" comment="Book author"/>
        <column xsi:type="int" name="year_published" nullable="true" comment="Book Publish Year"/>
        <column xsi:type="timestamp" name="creation_time" on_update="false" nullable="false" default="CURRENT_TIMESTAMP"
                comment="Book Creation Time"/>
        <column xsi:type="timestamp" name="update_time" on_update="true" nullable="false" default="CURRENT_TIMESTAMP"
                comment="Book Modification Time"/>
        <constraint xsi:type="primary" referenceId="PRIMARY">
            <column name="book_id"/>
        </constraint>
    </table>
</schema>
